/**
 * $Id: Assert.java,v 1.5 1999/11/28 15:45:52 yamauchi Exp $
 *
 *  Assert class 
 *  @author YAMAUCHI Hitoshi 山内 斉
 * 	assertion を実現する
 *
 *  from gp (Copyright (C) by YAMAUCHI)
 *
 *  1998年5月12日(火)
 */
package jp.ac.tohoku.is.archi.mpi2.util;

import  jp.ac.tohoku.is.archi.mpi2.sysparam.*;
import  jp.ac.tohoku.is.archi.mpi2.net.*;

public final class Assert 
{
    private static final boolean mDebug = Config.InDEBUG;
    public  final  static void out(boolean b, String mes)
    {
	if(mDebug && (!b))
	{
	    System.out.println("Assertion failed! : " + mes);
	    Mpi2CommFactory.getInstance().exit(1);
	}
    }
}
